<!DOCTYPE html>
<html>
<head>
	<script src="Resources/js/jquery/jquery.js" type="text/javascript"></script>
	<script src="Resources/js/jquery/ifx.js" type="text/javascript"></script>
	<script src="Resources/js/jquery/idrop.js" type="text/javascript"></script>
	<script src="Resources/js/jquery/idrag.js" type="text/javascript"></script>
	<script src="Resources/js/jquery/iutil.js" type="text/javascript"></script>
	<script src="Resources/js/jquery/islider.js" type="text/javascript"></script>
	<script src="Resources/js/jquery/color_picker/color_picker.js" type="text/javascript"></script>
	<link href="Resources/js/jquery/color_picker/color_picker.css" rel="stylesheet" type="text/css">
<title>HTML5 Canvas</title>
</head>
<body style="height: 100%; width: 100%; background: gray">
<div style="float:left;width:65px;display:block"><input type="text" id="myhexcode" value="" style="width:60px;"></div><div style="float:left">
<a href="javascript:void(0);" rel="colorpicker&objcode=myhexcode&objshow=myshowcolor&showrgb=1&okfunc=myokfunc" style="text-decoration:none;" ><div id="myshowcolor" style="width:15px;height:15px;border:1px solid black;">&nbsp;</div></a></div>
<input type="range" min="0" max="50" value="0" step="1" onchange="changeLineWidth(this.value)"/>
<canvas id="myDrawing" width="1900" height="900" style="background:white">
<p>Your browser doesn't support canvas.</p>
</canvas>
<script type="text/javascript">
    onOff = false;
    document.getElementById("myDrawing").onmousemove = al;
	
    document.getElementById("myDrawing").onmouseup = onOffSwitch;

	lasty = null;
	lastx = null;
	
	lineColor = "#000000";
	linewidth = 1;	
    function al(e) {
        if (onOff) {
            var drawingCanvas = document.getElementById('myDrawing');
            // Check the element is in the DOM and the browser supports canvas
            if (drawingCanvas.getContext) {
                // Initaliase a 2-dimensional drawing context
                var context = drawingCanvas.getContext('2d');
                //Canvas commands go here
            }
            // Create the black lines
            context.strokeStyle = lineColor;
			
			if(lasty != null){
				context.moveTo(e.pageX, e.pageY);
				context.lineTo(lastx, lasty);
				context.lineWidth = linewidth;
				context.stroke();
			}	
				lasty = e.pageY;
				lastx = e.pageX;
        }
		else{
			lasty = null;
			lastx = null;
		}
    }

    function onOffSwitch() {

        if (onOff)
            onOff = false;
        else
            onOff = true;
    }
	
	$(document).ready(
		function(){
			$.ColorPicker.init();
		}
	);
	
	function myokfunc(){
		lineColor = "#" + document.getElementById('myhexcode').value;
	}
	
	function changeLineWidth(newValue){
		linewidth = newValue;
	}
</script>
</body>
</html>
